Subject: Re: [manet] Simulating in Glomosim

From: Manoj K Pandey <[email-masked]>
Date: Mon, 31 Mar 2003 22:26:24 -0800 (PST)

hi Siddharth,
you might want to modify the routing protocol
where you want to do the implementation.
Glomosim already has some [both unicast/multicast]
of them in network directory.
you could also build a generic crdit based system
and put it in the network.pc file located in the
same directory. The protocol being used could call
these functions and update their credits.
If you have some more specific questions, plz. let me
know, I would try my best to be of help!!

-manoj

******************************
Manoj Pandey, PhD student,
#226, Deschutes, Computer and Information Science,
University of Oregon, Phone# 541-346-1381 [Office],
www.cs.uoregon.edu/~manoj
******************************

On Mon, 31 Mar 2003, Siddharth Ray wrote:

> MIME-Version: 1.0
> Content-Type: text/plain; charset=us-ascii
>
> I am implementing "Mitigating routing misbehavior in
> mobile ad hoc networks" using Glomosim. I am having
> doubts regarding how to use glomosim i.e., how to
> implement a credit based system which I plan to use in
> the code i.e., which part of the code to change.
> Altough I am having many ideas but am having trouble
> with the simulator. I would really appreciate any
> help...
> Siddharth Ray
>
> =====
> "Keep me away from the wisdom which does not cry, the philosophy which does not laugh and the greatness which
> does not bow before children."
> - Kahlil Gibran
>
> MS, Department of Computer Sc. & Engg,
> Pond Lab, State College,
> PA - 16802, USA.
>
> __________________________________________________
> Do you Yahoo!?
> Yahoo! Tax Center - File online, calculators, forms, and more
> http://platinum.yahoo.com
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
>

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet